**项目功能介绍**<br>
按天依据配置的关键词定时从内外部(公司内部、快手、头条)获取优质素材的脚本和视频链接。<br>

**项目启动说明**<br>
0、kill 现有的服务进程<br>
ps -aux | grep video_to_word<br>
kill -9 <br>

1、切换到main.py所在的目录<br>
cd /data/pythonProject/video_to_word/  <br>

2、启动虚拟环境<br>
conda activate video_to_word <br>

3、拉取最新代码<br>
git pull http://git.tjyourong.com.cn/liyuyi/video_to_word.git <br>

4、启动服务方式一<br>
方式一存在存在的问题：lstm 的net 找不到，不清楚什么原因，启动方式二没有这个问题。<br>
gunicorn main:app -b 0.0.0.0:31013 -w 1 -k uvicorn.workers.UvicornWorker <br>
<br>
启动服务方式二<br> 
测试开发环境：nohup /data/Miniconda3/envs/video_to_word/bin/python -u /data/pythonProject/video_to_word/main.py >/dev/null 2>&1 &<br>
生产环境：nohup /data/miniconda/envs/video_to_word/bin/python -u /data/pythonProject/video_to_word/main.py >/dev/null 2>&1 &<br>
<br>
2、查看日志<br>
cd /data/pythonProject/video_to_word/logs/<br>
tail -f /data/pythonProject/video_to_word/logs/main_server.2021

**定时任务**<br>
查看定时任务：crontab -l <br>
编辑定时任务：crontab -e <br>
每天早上08:30执行<br>
30 8 * * * /data/miniconda/envs/video_to_word/bin/python -u /data/pythonProject/video_to_word/time_task/get_material_and_script_by_query_word.py >> /data/pythonProject/video_to_word/logs/get_high_quality_material.log 2>&1  <br>
00 10 * * * /data/miniconda/envs/video_to_word/bin/python -u /data/pythonProject/video_to_word/time_task/get_word2vec_model.py >> /data/pythonProject/video_to_word/logs/get_word2vec_model.log 2>&1   <br>



**服务接口**<br>
http://114.117.193.186:31013/docs